org.springframework.data.mapping.model

## Class SnakeCaseFieldNamingStrategy

- java.lang.Object
- - org.springframework.data.mapping.model.CamelCaseSplittingFieldNamingStrategy
  - - org.springframework.data.mapping.model.SnakeCaseFieldNamingStrategy

All Implemented Interfaces:
  FieldNamingStrategy

    public class SnakeCaseFieldNamingStrategy
    extends CamelCaseSplittingFieldNamingStrategy

`FieldNamingStrategy` that translates typical camel case Java property names to lower case JSON element names, separated by underscores.

Since:
  1.5
Author:
  Ryan Tenney, Oliver Gierke

### Constructor Summary

Constructors
Constructor and Description
`SnakeCaseFieldNamingStrategy()` Creates a new `SnakeCaseFieldNamingStrategy`.

### Method Summary

### Methods inherited from class org.springframework.data.mapping.model.CamelCaseSplittingFieldNamingStrategy

`getFieldName, preparePart`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SnakeCaseFieldNamingStrategy

    public SnakeCaseFieldNamingStrategy()

Creates a new `SnakeCaseFieldNamingStrategy`.